package com.zhongshu.reward.client.ret;

/**
 * @Author: wy
 * @Date: 2023/6/6 16:43
 */
public class CommentException extends RuntimeException {

    private ResultState resultState;

    private String message;

    /**
     * 参数校验异常构造方法
     */
    public CommentException(String message) {
        this.message = message;
    }

    public CommentException(ResultState resultState, String message) {
        this.resultState = resultState;
        this.message = message;
    }

    @Override
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public ResultState getResultState() {
        return resultState;
    }

    public void setResultState(ResultState resultState) {
        this.resultState = resultState;
    }
}
