package com.zhongshu.reward.server;

import com.github.microservice.app.annotation.EnableApplicationClient;
import com.github.microservice.core.boot.ApplicationBootSuper;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;


@SpringBootApplication
@EnableApplicationClient
@EnableScheduling
@ComponentScan("com.zhongshu.reward.server.core")
public class RewardServerApplication extends ApplicationBootSuper {

	public static void main(String[] args) {
		SpringApplication.run(RewardServerApplication.class, args);
	}

}