package com.zhongshu.reward.server.core.dao.extend;


import com.zhongshu.reward.client.type.TransferStatus;
import com.zhongshu.reward.server.core.domain.WxTransferBatch;

import java.util.List;

/**
 * @author wjf
 * @date 2024/8/5
 */
public interface WxTransferBatchDaoExtend {

    List<WxTransferBatch> list(String walletId, Long startTime, Long endTime);

    boolean updateStatus(String id, String batchStatus, String detailStatus, TransferStatus transferStatus);

    Integer countByTime(String walletId, Long startTime, Long endTime);

    Integer sumDayTotal(String walletId, Long startTime, Long endTime);
}
