package com.zhongshu.reward.server.core.domain;

import com.github.microservice.components.data.mongo.mongo.domain.SuperEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * @author wjf
 * @date 2024/8/14
 */
@Data
@Builder
@Document
@AllArgsConstructor
@NoArgsConstructor
public class WxTransferLog extends SuperEntity {

    private String requestBody;

    private String resultContent;

    private String resultState;
}
